%define Werror_cflags	%nil

Summary:	Additional error protection for CD/DVD media
Name:		dvdisaster
Version:	0.79.5
Release:	%mkrel 9
Group:		Archiving/Cd burning
License:	GPLv2+
URL:		http://www.dvdisaster.com
Source0:	http://www.dvdisaster.com/downloads/%{name}-%{version}.tar.bz2
Patch0:		dvdisaster-0.79.5-po.patch
Patch1:		dvdisaster-configure-c99.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(pango)

%description
%{name} provides a margin of safety against data loss on CD and DVD media
caused by scratches or aging. It creates error correction data, which is
used to recover unreadable sectors if the disc becomes damaged at a later
time.

%prep
%setup -q
%autopatch -p1

#fix desktop file
sed -i -e 's,%{name}48.png,%{name},g' contrib/%{name}.desktop

sed -i -e 's,REQUIRE_GMAKE,#REQUIRE_GMAKE,' configure

%build
%define _legacy_common_support 1
%configure \
	--buildroot=%{buildroot} \
	--docdir=%{_defaultdocdir} \
	--docsubdir=%{name} \
	--localedir=%{_datadir}/locale \
	--mandir=%{_mandir} \
	--with-embedded-src-path=no
make

%install
%make_install

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,48x48,32x32,16x16}/apps
install -Dm644 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -size 48x48 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# desktop file
desktop-file-install --vendor "" \
     --dir %{buildroot}%{_datadir}/applications \
     contrib/%{name}.desktop

# handle docs in files section
mv %{buildroot}%{_defaultdocdir}/%{name} installed-docs

# unwanted files
rm -f %{buildroot}%{_bindir}/*-uninstall.sh

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc installed-docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.79.5-9.mga10
+ Revision: 2228803
- Mageia 10 Mass Rebuild

* Wed Oct 09 2024 ns80 <ns80> 0.79.5-8.mga10
+ Revision: 2104286
- add a patch from Fedora to fix building with GCC 14

* Thu Mar 31 2022 umeabot <umeabot> 0.79.5-7.mga9
+ Revision: 1836771
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 joequant <joequant> 0.79.5-6.mga8
+ Revision: 1600658
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 0.79.5-5.mga8
+ Revision: 1511987
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.79.5-4.mga7
+ Revision: 1297532
- Mageia 7 Mass Rebuild

* Fri Dec 16 2016 daviddavid <daviddavid> 0.79.5-3.mga6
+ Revision: 1075706
- disable check of REQUIRE_GMAKE to fix FTBFS

* Tue Mar 15 2016 daviddavid <daviddavid> 0.79.5-2.mga6
+ Revision: 990893
- rediff po patch (since fixed autopatch)

* Sun Feb 14 2016 daviddavid <daviddavid> 0.79.5-1.mga6
+ Revision: 960403
- new version: 0.79.5
- rename and redo po patch
- update Source URL
- add one more icon (64x64)

* Mon Feb 08 2016 umeabot <umeabot> 0.72.6-4.mga6
+ Revision: 942686
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.72.6-3.mga5
+ Revision: 748142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.72.6-2.mga5
+ Revision: 678890
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 pterjan <pterjan> 0.72.6-1.mga5
+ Revision: 634606
- Fix empty Language header in some po files
- 0.72.6

* Sat Feb 08 2014 dams <dams> 0.72.5-1.mga5
+ Revision: 585712
- new version 0.72.5

* Sat Oct 19 2013 umeabot <umeabot> 0.72.4-4.mga4
+ Revision: 522549
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 0.72.4-3.mga3
+ Revision: 403603
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sun Jan 13 2013 sander85 <sander85> 0.72.4-2.mga3
+ Revision: 371130
- Parallel build seems to fail
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 04 2012 vaci0 <vaci0> 0.72.4-1.mga3
+ Revision: 278404
- Updated to version 0.72.4

* Wed Dec 14 2011 wally <wally> 0.72.3-1.mga2
+ Revision: 181590
- imported package dvdisaster

